Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations

GetDatabaseBackupFromImageStore

GetDatabaseBackupFromImageStore

GET/zstack/v1/database-backups/image-store

Operation ID

GetDatabaseBackupFromImageStore

Since

3.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • url
    StringRequired

    The URL of the backup storage.

  • registryPort
    int

    Optional. The port used to access the backup storage.

  • systemTags
    List

    Optional.

  • userTags
    List

    Optional.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • infos
    ListRequired

    See infos

    • id
      StringRequired

      The ID of the database backup image in the backup storage.

    • parent
      StringRequired

      The name of the parent image.

    • blobsum
      StringRequired

      The hash of the image.

    • created
      TimestampRequired

      The time when the image was created.

    • author
      StringRequired

      The author of the image.

    • arch
      StringRequired

      The OS structure of the image.

    • desc
      StringRequired

      The description of the image.

    • size
      LongRequired

      The actual size of the image.

    • virtualsize
      LongRequired

      The virtualized size of the image.

    • name
      StringRequired

      The name of the image in the backup storage.